@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    background-image: linear-gradient(to right, #004D98 , #A50044);
    font-family: 'Montserrat', sans-serif;
}

.cuadrado {
    background-color: white;
    border-radius: 20px;
    height: 485px;
    width: 400px;
    text-align: left;
    margin: auto;
    margin-top: 90px;
    padding: 20px;
}

.cuadrado .superior{
    display: flex;
    width: 100%;
    justify-content: space-around;
    height:100px;
}

.logo{
    width: 60px;
    align-self: center;
}

.titulo {
    align-self: center;
}

.inicio-sesion {
    margin-top: 20px;
    height: 100px;
}

.login {
    margin-bottom: 20px;
}

.login label {
    display: block;
    font-weight: 600;
    font-size: 14px;
    margin-bottom: 8px;
    color: #333;
}

.login input {
    width: 100%;
    padding: 12px;
    border: 1px solid #eef0f2;
    border-radius: 8px;
    background-color: #f8faff;
    box-sizing: border-box;
}

.entrar {
    width: 100%;
    padding: 12px;
    background-color: #004D98;
    color: white;
    border: none;
    border-radius: 8px;
    font-weight: 600;
    margin-top: 10px;
}

.registro {
    text-align: center;
    margin-top: 25px;
    font-size: 14px;
}

.registro a {
    color: #004D98;
    text-decoration: none;
    font-weight: 600;
}

.header {
    background-color: white;
    padding: 10px 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ddd;
    height: 60px;
}

.logo-header {
    display: flex;
    align-items: center;
    gap: 12px;
}

.logo-img { 
    width: 40px; 
}

.titulo-web { 
    font-size: 22px; 
    color: #004D98; 
    margin: 0; 
}

.boton-salir {
    background-color: #004D98;
    color: white;
    text-decoration: none;
    padding: 8px 20px;
    border-radius: 8px;
    font-weight: bold;
    font-size: 14px;
}

.principal {
    display: flex;
    justify-content: center;
    gap: 25px;
    padding: 30px;
    max-width: 1200px;
    margin: 0 auto;
}

.columna-izquierda {
    width: 220px;
}

.menu-lateral {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.item-menu{
    text-decoration: none;
    padding: 14px;
    border-radius: 10px;
    font-weight: bold;
    text-align: center;
}


.item-menu1{
    text-decoration: none;
    padding: 14px;
    border-radius: 10px;
    font-weight: bold;
    text-align: center;
}


.item-menu2{
    text-decoration: none;
    padding: 14px;
    border-radius: 10px;
    font-weight: bold;
    text-align: center;
}


.item-menu3 {
    text-decoration: none;
    padding: 14px;
    border-radius: 10px;
    font-weight: bold;
    text-align: center;
}

.item-menu {
    background-color: #A50044;
    color: white;
}

.item-menu1{
    background-color: #FFB81C;
    color: black;
}

.item-menu2{
    background-color: #FFB81C;
    color: black;
}

.item-menu3 {
    background-color: #FFB81C;
    color: black;
}

.muro {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.publicacion1{
    background-color: white;
    border-radius: 15px;
}

.publicacion2{
    background-color: white;
    border-radius: 15px;
}

.publicacion2s{
    background-color: white;
    border-radius: 15px;
}

.publicacion3s{
    background-color: white;
    border-radius: 15px;
}

.publicacion4s{
    background-color: white;
    border-radius: 15px;
}

.perfil1{
    background-color: white;
    border-radius: 15px;
}

.cuadro-derecha {
    background-color: white;
    border-radius: 15px;
}

.publicacion1 {
    padding: 25px;
    width: 600px;
}

.publicacion2 {
    padding: 25px;
    width: 600px;
}

.publicacion3s{
    padding: 25px;
    width: 600px;
}

.publicacion4s{
    padding: 25px;
    width: 600px;
}

.perfil1 {
    padding: 25px;
    width: 600px;
}

.publicacion1 {
    overflow: hidden;
}

.publicacion2 {
    height: 700px;
}

.publicacion2s {
    padding: 25px;
    width: 600px;
    height: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.publicacion3s {
    background-color: white;
    border-radius: 15px;
    padding: 25px;
    width: 600px;
}

.publicacion4s {
    box-shadow: 0 4px 12px rgba(0,0,0,0.05);
    min-height: 500px;
}

.cuadro-derecha {
    width: 280px;
    padding: 25px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.05);
}

.titulo-seccion {
    color: #333;
    margin-bottom: 20px;
    border-bottom: 2px solid #f0f2f5;
    padding-bottom: 10px;
}

.titulo-muro {
    margin-bottom: 10px;
}

.publicacion1 p {
    margin-bottom: 10px;
}

.publicacion2 p {
    margin-bottom: 10px;
}

.publicacion1 hr{
    width: 570px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.publicacion2 hr{
    width: 570px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.texto-publi hr {
    width: 570px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.likes{
    display: flex;
    gap: 20px;
    margin-top: 10px;
}

.likes2 {
    display: flex;
    gap: 20px;
    margin-top: 10px;
}

.comentarios{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
}

.comentarios2 {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
}

.comentarios input{
    width: 450px;
    padding: 12px;
    border-radius: 8px;
    background-color: #f8faff;
}

.comentarios2 input {
    width: 450px;
    padding: 12px;
    border-radius: 8px;
    background-color: #f8faff;
}

.comentarios input {
    border: 1px solid #eef0f2;
}

.boton-comentario {
    background-color: #004D98;
    color: white;
    padding: 10px 20px;
    border-radius: 8px;
}

.tendencia {
    padding: 12px 0;
    border-bottom: 1px solid #eee;
    color: #004D98;
    font-weight: 600;
}

.tendencia a {
    text-decoration: none;
}

.seguir h3 {
    margin-top: 30px;
    padding: 12px 0;
}

.seguir p {
    font-size: 10px;
}

.segueix {
    padding: 5px 10px;
    border-radius: 8px;
}

.avatar {
    width: 100px;
    height: 100px;
    margin-top: 25px;
    background-color: #004D98;
    color: white;
    border-radius: 50%;
    font-size: 250%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.avatar2 {
    width: 35px;
    height: 35px;
    margin-top: 25px;
    background-color: #004D98;
    color: white;
    border-radius: 50%;
    font-size: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.estats {
    display: flex;
    justify-content: center;
    gap: 40px;
    margin-top: 20px;
    width: 100%;
}

.estadisticas {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.editarPerfil {
    position: absolute;
    top: 20px;
    right: 20px;
    background-color: #004D98;
    color: white;
    text-decoration: none;
    padding: 8px 20px;
    border-radius: 8px;
    font-weight: bold;
    font-size: 14px;
}

.header2 {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 20px;
}

.texto-publi {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}

.titulo-publi {
    color: black;
}

.contenido {
    font-size: medium;
    color: #333;
}

.pub {
    color: white;
}

.acciones {
    display: flex;
    gap: 10px;
    margin-top: 15px;
}

.accion {
    width: 35px;
    height: 35px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    background: white;
    text-decoration: none;
}

.accion.editar {
    border: 1px solid #7d7dff;
    color: #7d7dff;
}

.accion.borrar {
    border: 1px solid #ff4d4d;
    color: #ff4d4d;
}

.subir-publi {
    margin-bottom: 20px;
}

.subir-publi label {
    margin-top: 30px;
    display: block;
    font-weight: 600;
    font-size: 14px;
    margin-bottom: 8px;
    color: #333;
}

.subir-publi input{
    width: 600px;
    padding: 12px;
    border-radius: 8px;
    box-sizing: border-box;
}

.subir-publi textarea{
    width: 600px;
    padding: 12px;
    border-radius: 8px;
    box-sizing: border-box;
}

.subir-foto input {
    width: 600px;
    padding: 12px;
    border-radius: 8px;
    box-sizing: border-box;
}

.subir-publi input{
    border: 1px solid #eef0f2;
    background-color: #f8faff;
}

.subir-publi textarea {
    border: 1px solid #eef0f2;
    background-color: #f8faff;
}

.subir-foto {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: 20px;
}

.botones {
    display: flex;
    gap: 15px;
    margin-top: 25px;
    width: 100%;
}

.botoness {
    flex: 1;
    padding: 12px 0;
    border-radius: 10px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
}

.publicar {
    background-color: #004D98;
    color: white;
    border: none;
}

.cancelar {
    background-color: #A50044;
    color: white;
    border: none;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.perfil {
    background: white;
    padding: 35px;
    border-radius: 15px;
    width: 450px;
}

.perfil h2 {
    margin-bottom: 25px;
}

.bloque {
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
}

.bloque label {
    font-weight: bold;
    margin-bottom: 8px;
    font-size: 14px;
}

.bloque input{
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background: #fcfcfc;
}

.bloque textarea {
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background: #fcfcfc;
}

.acciones-perfil {
    display: flex;
    gap: 15px;
    margin-top: 25px;
}

.guard {
    flex: 1;
    padding: 12px;
    border-radius: 10px;
    text-align: center;
}

.cancel {
    flex: 1;
    padding: 12px;
    border-radius: 10px;
    text-align: center;
}

.guard {
    background-color: #004D98;
    color: white;
    border: none;
    cursor: pointer;
}

.cancel {
    background-color: #A50044;
    color: white;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

.img-publicacio {
    width: 100%;
    object-fit: cover;
    border-radius: 12px;
    margin-top: 10px;
}

.publicacion1 img {
    width: 100%;
    object-fit: cover;
    border-radius: 12px;
    margin-top: 10px;
}

.publicacion3s img {
    width: 100%;
    object-fit: cover;
    border-radius: 12px;
    margin-top: 10px;
}

.img-publicacio {
    max-height: 500px;
}

.publicacion1 img {
    max-height: 350px;
}

.publicacion3s img {
    max-height: 400px;
    margin-top: 15px;
}

.form-editar {
    background: white;
    border-radius: 15px;
    padding: 25px;
    width: 600px;
    margin: 40px auto;
}

.boto-link {
    text-align: center;
    line-height: 45px;
    text-decoration: none;
}